PHP Manual
Prev |  | Next

# Swish->getMetaList

(no version information, might be only in CVS)

Swish->getMetaList -- Get the list of meta entries for the index

## Description

array Swish->getMetaList ( string index_name )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

## Parameters

`index_name`

  The name of the index file.

## Return Values

Returns an array of meta entries for the given index.

## Examples

Example 1. Basic Swish->getMetaList() example

`<?php try { $swish = new Swish("index.swish-e"); var_dump($swish->getMetaList("index.swish-e")); } catch (SwishException $e) { echo $e->getMessage(), "\n"; } ?>`

The above example will output something similar to:

    array(1) {
      [0]=>
      array(3) {
        ["Name"]=>
        string(12) "swishdefault"
        ["Type"]=>
        int(0)
        ["ID"]=>
        int(1)
      }
    }

Prev | Home | Next
Swish::__construct | Up | Swish->getPropertyList